Какой версией Interbase/Firebird Вы пользуетесь

Технические и другие опросы общественного мнения

Модератор: kdv

Ответить

Какой версией Interbase/Firebird Вы пользуетесь

Interbase 5.x
0
Голосов нет
Interbase 6.0
0
Голосов нет
Interbase 6.5
0
Голосов нет
Interbase 7.0
0
Голосов нет
Interbase 7.5
1
6%
Interbase 2007
0
Голосов нет
Firebird 0.8
0
Голосов нет
Firebird 0.9
0
Голосов нет
Firebird 1.0
0
Голосов нет
Firebird 1.5
3
19%
Firebird 2.0
7
44%
Firebird 2.1
5
31%
InterBase 4.x
0
Голосов нет
 
Всего голосов: 16

Nikita Konyuchenko
Сообщения: 6
Зарегистрирован: 08 окт 2007, 16:47
Откуда: Russia, Chelyabinsk
Контактная информация:

Какой версией Interbase/Firebird Вы пользуетесь

Сообщение Nikita Konyuchenko » 08 окт 2007, 16:58

Интересует, какие сервера еще живы и используются разработчиками, а какие уже не стоит поддерживать в дальнейшем.

WildSery
Заслуженный разработчик
Сообщения: 1738
Зарегистрирован: 05 июн 2006, 16:19

Сообщение WildSery » 08 окт 2007, 17:17

Многие. Поддерживать в чём?

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Сообщение kdv » 08 окт 2007, 17:37

Вообще-то опросы тут инициировать могу только я. То, что Вам это удалось, еще не означает, что можно. Лучше бы Вы вопрос задали более корректно, и не делали кросс-вопросы на sql.ru и здесь.
Более того, Ваш список не полон.
www.ibase.ru/devinfo/allversions.htm

и вставлять в него бета-версию FB 2.1 некорректно. Ее конечно, используют, и некоторые даже в пром. применении, но ... беты обычно используют только в процессе разработки. Есть даже люди, которые привыкли к релиз-кандидатам, и тоже используют их в пром. применении.

Nikita Konyuchenko
Сообщения: 6
Зарегистрирован: 08 окт 2007, 16:47
Откуда: Russia, Chelyabinsk
Контактная информация:

Сообщение Nikita Konyuchenko » 08 окт 2007, 17:57

WildSery
Поддерживать в коммерческом продукте предназначеном для администрирования серверов баз данных

kdv
Меня интересны больше "эпохи" в версиях сверверов, нежели точные версии.[/b]

WildSery
Заслуженный разработчик
Сообщения: 1738
Зарегистрирован: 05 июн 2006, 16:19

Сообщение WildSery » 08 окт 2007, 18:21

Nikita Konyuchenko писал(а):Поддерживать в коммерческом продукте предназначеном для администрирования серверов баз данных.
Хм. Всегда думал, что уж API-то для всех один и тот же.
Или опрос "на всякий случай", вдруг найдём отличия, а ответ уже знаем :)

Nikita Konyuchenko
Сообщения: 6
Зарегистрирован: 08 окт 2007, 16:47
Откуда: Russia, Chelyabinsk
Контактная информация:

Сообщение Nikita Konyuchenko » 08 окт 2007, 19:44

WildSery писал(а): Хм. Всегда думал, что уж API-то для всех один и тот же.
Или опрос "на всякий случай", вдруг найдём отличия, а ответ уже знаем :)
Для создания хорошего средсва администрирования одного только API ой как не достаточно. Есть жесткая привязка к системным таблицам, типам данных, синтаксису и другим особенностям которые совсем не так схожи на разных серверах, как может показаться на первый взгляд.

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Сообщение kdv » 08 окт 2007, 22:04

Для создания хорошего средсва администрирования одного только API ой как не достаточно.
что Вы имеете в виду под "администрированием"? Меня смущает связка "администрирование" и "системные таблицы". Каким боком? Может, Вы изобретаете велосипед типа IBExpert?
Поддерживать в коммерческом продукте предназначеном для администрирования серверов баз данных
по крайней мере для IB/FB таких инструментов штук 10 как минимум наберется.
и другим особенностям которые совсем не так схожи на разных серверах, как может показаться на первый взгляд.
ээээ... мысль-бы почетче. А то "разные сервера" - это как Oracle и MS SQL, или как FB 1.5 и IB 7? Последним нас учить не надо, мы и сами с ними тут 8-12 лет как работаем.

Nikita Konyuchenko
Сообщения: 6
Зарегистрирован: 08 окт 2007, 16:47
Откуда: Russia, Chelyabinsk
Контактная информация:

Сообщение Nikita Konyuchenko » 09 окт 2007, 08:53

kdv писал(а): что Вы имеете в виду под "администрированием"? Меня смущает связка "администрирование" и "системные таблицы". Каким боком? Может, Вы изобретаете велосипед типа IBExpert?

по крайней мере для IB/FB таких инструментов штук 10 как минимум наберется.
Велосипед я не изобретаю слава богу. Посмотрите мой профиль.

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Сообщение kdv » 09 окт 2007, 09:23

Велосипед я не изобретаю слава богу.
и чего было шифроваться? все должны смотреть в профиль вопрошающего? Между прочим, тут заполнение профиля граничит с подозрением на спам :)

В Вашем случае, я считаю, вопроса по поводу "чего поддерживать" нет.
Вы можете самостоятельно урезать поддержку до "не ниже IB 6", как минимум потому что там нет services api (хотя бы). Но в отношении остальных версий серверов - какая Вам разница, сколько народу их использует?

Nikita Konyuchenko
Сообщения: 6
Зарегистрирован: 08 окт 2007, 16:47
Откуда: Russia, Chelyabinsk
Контактная информация:

Сообщение Nikita Konyuchenko » 09 окт 2007, 09:43

kdv писал(а): В Вашем случае, я считаю, вопроса по поводу "чего поддерживать" нет.
Вы можете самостоятельно урезать поддержку до "не ниже IB 6", как минимум потому что там нет services api (хотя бы). Но в отношении остальных версий серверов - какая Вам разница, сколько народу их использует?
Сделать-то можно что угодно. Только вот правильное ли это будет решение.
А знать используют ли разработчики эти сервера хочется ради того, чтобы знать, что силы потраченные на поддержку совместимости и тестирование работы со старыми серверами не тратятся впустую.

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Сообщение kdv » 09 окт 2007, 10:04

А знать используют ли разработчики эти сервера хочется ради того
неверный посыл и выводы. в массе IB 4 и IB 5 используются пиратским образом. Конечно, покупатели есть, но их очень мало.
Так вот. Вы уверены, что те, кто использует 4 и 5 на халяву, будет заплатит за SQLManager? Или будет им пользоваться, если в нем поддержка 4 и 5 будет хуже, чем скажем, в IBExpert?

В Вашем случае постановка вопроса должна быть совершенно иная - чего именно вы хотите добиться поддержкой разных серверов. Максимально широкого распространения SQLManager? Увеличения его продаж?

Более того, ни на этом форуме ни на sql.ru Вы не получите данных по использованию IB/FB, ПРИГОДНЫХ для подобной оценки.
Допустим, здесь на форуме будет 10 ответов типа "да, я использую IB4". Вопрос - это эксплуатация или разработка? Какой инструмент они используют сейчас? Будут-ли они менять IB 4 на нечто другое?

То есть, по большому счету, такими вопросами должен озадачиваться отдел маркетинга. А если еще более конкретно - то Вам, на мой взгляд, не остается выбора вообще - Вы или поддерживаете конкретную версию сервера, или нет. Если поддерживаете - к Вам будут обращения от пользователей типа "не хватает того и этого". Не будет обращений - забьете на дальнейшую поддержку старых серверов.

Примерно так.

Attid
Спец
Сообщения: 375
Зарегистрирован: 14 ноя 2006, 09:58
Контактная информация:

Сообщение Attid » 09 окт 2007, 14:38

да и вариантов выбрать нельзя, отдал голос за 2,0 так как на нем более 5 серверов,
но в одном месте во всю юзаем птицу 1,5
а еще стоит древний ркипер с интербейзом затрудняюсь сказать какой версии =) толи 4 толи 5

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Сообщение kdv » 09 окт 2007, 14:42

еще стоит древний ркипер с интербейзом затрудняюсь сказать какой версии
4.0 или 4.1.

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Сообщение kdv » 09 окт 2007, 14:55

кстати, не обратил внимания. Firebird 0.8 я вообще не знаю что такое. Первая версия была 0.9, причем понятно что ни одного нормального человека, который ее использует, нет :-)
была как-то версия 0.95, для FreeBSD, но опять же, никакого смысла в ее использовании нет.

так что, если вопрос про "эпохи", то можно считать что 0.8 и 0.9 не существует.

kdv
Forum Admin
Сообщения: 6575
Зарегистрирован: 25 окт 2004, 18:07
Контактная информация:

Сообщение kdv » 09 окт 2007, 15:08

чтобы закрыть вопрос по "актуальным" версиям, перечислю те, в которых были изменения функциональности относительно предыдущих:

InterBase 4 (4.0/4.1/4.2)
InterBase 5 (5.0/5.1/5.5/5.6)
InterBase 6.0
Firebird 1.0 (вообще тут были только багофиксы по большому счету)
(1.02/1.03)
InterBase 6.5
InterBase 7.0
Firebird 1.5
InterBase 7.1
InterBase 7.5
Firebird 2.0
InterBase 2007
InterBase 2007 SP2
Firebird 2.1

Ответить

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 1 гость